classdef ML_2D_HDL_filt_FixPt_fil <  hdlverifier.FILSimulation
%ML_2D_HDL_filt_FixPt_fil is a filWizard generated class used for FPGA-In-the-Loop
%   simulation with the 'ML_2D_HDL_filt_FixPt' DUT.
%   ML_2D_HDL_filt_FixPt_fil connects MATLAB with a FPGA and cosimulate with it by 
%   writing inputs in the FPGA and reading outputs from the FPGA.
%
%   MYFIL = ML_2D_HDL_filt_FixPt_fil
%
%   Step method syntax:
%
%   [out1, out2, ...] = step(MYFIL, in1, in2, ...) connect to the FPGA,
%   write in1, in2, ... to the FPGA and read out1, out2, ... from 
%   the FPGA
%
%   ML_2D_HDL_filt_FixPt_fil methods:
%
%   step        - See above description for use of this method
%   release     - Allow property value and input characteristics changes, and
%                 release connection to FPGA board
%   clone       - Create ML_2D_HDL_filt_FixPt_fil object with same property values
%   isLocked    - Locked status (logical)
%   programFPGA - Load the programming file in the FPGA
%
%   ML_2D_HDL_filt_FixPt_fil properties:
%
%   DUTName                  - DUT top level name
%   InputSignals             - Input paths in the HDL code
%   InputBitWidths           - Width in bit of the inputs
%   OutputSignals            - Output paths in the HDL code
%   OutputBitWidths          - Width in bit of the outputs
%   OutputDataTypes          - Data type of the outputs
%   OutputSigned             - Sign of the outputs
%   OutputFractionLengths    - Fraction lengths of the outputs
%   OutputDownsampling       - Downsampling factor and phase of the outputs
%   OverclockingFactor       - Overclocking factor of the hardware
%   Connection               - Parameters for the connection with the board
%   FPGAVendor               - Name of the FPGA chip vendor
%   FPGABoard                - Name of the FPGA board
%   FPGAProgrammingFile      - Path of the Programming file for the FPGA
%   ScanChainPosition        - Position of the FPGA in the JTAG scan chain
%
%   File Name: ML_2D_HDL_filt_FixPt_fil.m
%   Created: 29-Aug-2013 14:15:05
% 
%   Generated by FIL Wizard

    properties (Nontunable)
        DUTName = 'ML_2D_HDL_filt_FixPt';
    end
    
    methods
        function obj = ML_2D_HDL_filt_FixPt_fil
            
            %THE FOLLOWING PROTECTED PROPERTIES ARE SPECIFIC TO THE HW DUT
            %AND MUST NOT BE EDITED (RERUN THE FIL WIZARD TO CHANGE THEM)
            obj.InputSignals = char('in_pix');
            obj.InputBitWidths = [8];
            obj.OutputSignals = char('ce_out','out_pix');
            obj.OutputBitWidths = [1,8];
            obj.Connection = char('UDP','192.168.0.2','00-0A-35-02-3c-96'); 
            obj.FPGAVendor = 'Xilinx';
            obj.FPGABoard = 'Xilinx Virtex-5 ML507 development board';
            obj.ScanChainPosition = 5 ;
            
            %THE FOLLOWING PUBLIC PROPERTIES ARE RELATED TO THE SIMULATION
            %AND CAN BE EDITED WITHOUT RERUNING THE FIL WIZARD
            obj.OutputSigned = [false,false];
            obj.OutputDataTypes = char('fixedpoint','fixedpoint');
            obj.OutputFractionLengths = [0,0];
            obj.OutputDownsampling = [1,0];
            obj.OverclockingFactor = 1;
            obj.FPGAProgrammingFile = 'C:\Users\igal\Documents\MATLAB\My_Demos\HDL_IMG_2D_FILT\ML_2D_HDL_filt_FixPt_fil\ML_2D_HDL_filt_FixPt_fil.bit';                       
        end
    end
end




